package com.chthonics.vaadin.issues;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.annotations.Widgetset;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

/**
 *
 */
@Theme("mytheme")
@Widgetset("com.chthonics.vaadin.issues.MyAppWidgetset")
public class MyUI extends UI {

	private static final long serialVersionUID = -4356243660995913289L;
	
	private final LeafletEditableMapComponent2 leafletEditableMap2 = new LeafletEditableMapComponent2();

	@Override
	protected void init(VaadinRequest vaadinRequest) {
		final VerticalLayout layout = new VerticalLayout();
		layout.setMargin(true);
		layout.setId("main-layout");
//		layout.setSizeFull();

		layout.addComponent(leafletEditableMap2);
		

		setContent(layout);
		setHeight("1000px");
		setWidth("700px");
	}

	@WebServlet(urlPatterns = "/*", name = "MyUIServlet", asyncSupported = true)
	@VaadinServletConfiguration(ui = MyUI.class, productionMode = false)
	public static class MyUIServlet extends VaadinServlet {
	}
}
